summaryrefslogtreecommitdiffstats
path: root/roles/prerec/templates/process-prerec.sh
diff options
context:
space:
mode:
authorSacha Chua <sacha@sachachua.com>2022-11-05 08:02:44 -0400
committerSacha Chua <sacha@sachachua.com>2022-11-05 08:02:44 -0400
commit5bf4ab50e13a9be2923ddebe69525b40df8ab3bc (patch)
treec06ff0086d94135871e30981fa80a9112f990cf4 /roles/prerec/templates/process-prerec.sh
parent5f83a3fbeb91dea9c77925e83b09b27427435cb9 (diff)
downloademacsconf-ansible-5bf4ab50e13a9be2923ddebe69525b40df8ab3bc.tar.xz
emacsconf-ansible-5bf4ab50e13a9be2923ddebe69525b40df8ab3bc.zip
Separate caption and prerec roles
Diffstat (limited to 'roles/prerec/templates/process-prerec.sh')
-rwxr-xr-xroles/prerec/templates/process-prerec.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/roles/prerec/templates/process-prerec.sh b/roles/prerec/templates/process-prerec.sh
new file mode 100755
index 0000000..e49aa72
--- /dev/null
+++ b/roles/prerec/templates/process-prerec.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+# {{ ansible_managed }}
+
+ORIGINAL=$1
+REENCODED=$(echo "$ORIGINAL" | perl -pe 's/^(emacsconf-[0-9]*-.*?--.*?--.*?--).*/$1reencoded.webm/')
+SLUG=$(echo "$ORIGINAL" | perl -ne '/^emacsconf-[0-9]*-(.*?)--/ && print $1')
+MAIN=$(echo "$ORIGINAL" | perl -pe 's/^(emacsconf-[0-9]*-.*?--.*?--.*?--).*/$1main.webm/')
+SCREEN=reencode-$SLUG
+if ! ( screen -ls | grep -q $SLUG ); then
+ screen -dmS $SCREEN
+fi
+( cd /data/emacsconf/cache; ./update-cache )
+/data/emacsconf/2022/scripts/update-task-status.sh $SLUG "WAITING_FOR_PREREC" "PROCESSING"
+#if [[ ! -f "$REENCODED" ]]; then
+screen -S $SCREEN -X screen -t reencode-$SLUG /bin/bash -c "/data/emacsconf/2022/scripts/reencode.sh \"$ORIGINAL\" \"$REENCODED\" && /data/emacsconf/2022/scripts/upload.sh $REENCODED && exec /bin/bash" &
+#fi
+screen -S $SCREEN -X screen -t captions-$SLUG /bin/bash -c "/data/emacsconf/2022/scripts/process-captions.py $(dirname $ORIGINAL); /data/emacsconf/2022/scripts/update-task-status.sh $SLUG PROCESSING TO_ASSIGN; exec /bin/bash"
+screen -x $SCREEN